> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get installation repositories



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v1/installations/repositories
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v1/installations/repositories:
    post:
      tags:
        - Installations
      summary: Get installation repositories
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                organizationId:
                  type: string
                appId:
                  type: string
              required: []
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/InstallationRepository'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    InstallationRepository:
      type: object
      properties:
        id:
          type: string
        repositoryUrl:
          type: string
        repositoryName:
          type: string
        defaultBranch:
          type: string
        github:
          type: object
          properties:
            githubAppInstallationId:
              type: string
            externalGithubRepositoryId:
              type: string
            externalGithubAppInstallationId:
              type: string
          required:
            - githubAppInstallationId
            - externalGithubRepositoryId
            - externalGithubAppInstallationId
        gitlab:
          type: object
          properties:
            gitlabInstallationId:
              type: string
            externalGitlabProjectId:
              type: string
          required:
            - gitlabInstallationId
            - externalGitlabProjectId
        bitbucket:
          type: object
          properties:
            bitbucketInstallationId:
              type: string
            externalBitbucketRepositoryId:
              type: string
          required:
            - bitbucketInstallationId
            - externalBitbucketRepositoryId
      required:
        - id
        - repositoryUrl
        - repositoryName
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````